aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/check_copyright.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/check_copyright.sh')
-rwxr-xr-xscripts/check_copyright.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/check_copyright.sh b/scripts/check_copyright.sh
new file mode 100755
index 0000000..14857d3
--- /dev/null
+++ b/scripts/check_copyright.sh
@@ -0,0 +1,31 @@
+# Copyright 2018 Google
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Check source files for copyright notices
+
+options=(
+ -E # Use extended regexps
+ -I # Exclude binary files
+ -L # Show files that don't have a match
+ 'Copyright [0-9]{4}.*Google'
+)
+
+git grep "${options[@]}" \
+ -- '*.'{c,cc,h,m,mm,sh,swift} \
+ ':(exclude)**/third_party/**'
+if [[ $? == 0 ]]; then
+ echo "ERROR: Missing copyright notices in the files above. Please fix."
+ exit 1
+fi
+